# beforeTask

abstract fun beforeTask(closure: Closure)

### Deprecated

This method is not supported when configuration caching is enabled.

Adds a closure to be called immediately before a task is executed. The task is passed to the closure as a parameter.

#### Parameters

closure

The closure to execute when a task is about to be executed.

abstract fun beforeTask(action: Action<Task>)

### Deprecated

This method is not supported when configuration caching is enabled.

Adds an action to be called immediately before a task is executed. The task is passed to the action as a parameter.

#### Since

3.1

#### Parameters

action

The action to execute when a task is about to be executed.